# GitProviderIntegration<!-- -->

A connected git provider account the user can create repositories through.

## Index[](#Index)

### Properties

* [add_workspace_url](https://docs.apify.com/api/client/python/reference/class/GitProviderIntegration.md#add_workspace_url)
* [id](https://docs.apify.com/api/client/python/reference/class/GitProviderIntegration.md#id)
* [model_config](https://docs.apify.com/api/client/python/reference/class/GitProviderIntegration.md#model_config)
* [provider](https://docs.apify.com/api/client/python/reference/class/GitProviderIntegration.md#provider)
* [workspaces](https://docs.apify.com/api/client/python/reference/class/GitProviderIntegration.md#workspaces)

## Properties<!-- -->[](#Properties)

### [](#add_workspace_url)add_workspace_url

add_workspace_url: str | None

URL where the user can install the GitHub App on another account or organization. Only for the GitHub App.

### [](#id)id

id: str

The provider ID to use in the `providerId` path parameter: `github-app` for the GitHub App, or the ID of a connected GitLab or Bitbucket integration.

### [](#model_config)model_config

model_config: Undefined

### [](#provider)provider

provider: [Provider](https://docs.apify.com/api/client/python/reference.md#Provider)

### [](#workspaces)workspaces

workspaces: [list](https://docs.apify.com/api/client/python/reference/class/ActorCollectionClient.md#list)\[[GitProviderWorkspace](https://docs.apify.com/api/client/python/reference/class/GitProviderWorkspace.md)]

The workspaces the account can create a repository in. Empty if listing them failed.
